# fn:compare

fn:compare(string? $comparand1, string? $comparand2) → integer?

Function signature

$comparand1 | xs:string ?
$comparand2 | xs:string ?
Result | xs:integer ?

Compares two strings using the default collation

XPath 2.0 Specification

fn:compare(string? $comparand1, string? $comparand2, string $collation) → integer?

Function signature

$comparand1 | xs:string ?
$comparand2 | xs:string ?
$collation | xs:string
Result | xs:integer ?

Compares two strings using a specified collation

XPath 2.0 Specification

Next